Hoppa till innehåll

Kling 1.6 · Pro · Effects

Integrera

Modell-id kling-video/v1.6/pro/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v1.6/pro/effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "effect_scene": "heart_gesture"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Den här begäran: 0,49 $ 490 API-krediter Kör den på den här sidan

Hämta API-nyckel
Kling Text till video 5–10 s

Kling 1.6 Pro-bildeffekter: förinställda effektscener på en eller två bilder, klipp på 5 eller 10 s

Skapat på Doitong

Offentliga verk skapade med Kling Video Effects av Doitong-communityt. Återanvänd en prompt med ett klick.

Visade offentliga verk: 16
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... Video

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... Video

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... Video

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... Video

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

Skapa en begäran

Kontrollerna genereras från modellschemat. Koden och priset uppdateras när du ändrar dem.

duration 5 s

Längd på utdatafilmen, mätt i sekunder.

•obligatoriskt

Val av effektscen, med effekter för en bild, förutom alternativet heart_gesture för flera bilder.

Avancerat input_image_urls · enable_safety_checker
Släpp en fil eller

URL:er till indata för effektbilder, med ett obligatoriskt antal på två för heart_gesture och ett för alla andra effekter.

POST /run/kling-video/v1.6/pro/effects?wait=20 pris → 0,49 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v1.6/pro/effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "effect_scene": "heart_gesture"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kör den här begäran

Din nyckel stannar i den här webbläsaren: den skickas endast till Doitong API och sparas endast i localStorage om du markerar Kom ihåg. Hämta en API-nyckel

Om Kling 1.6 · Pro · Effects

Kör en av 91 förinställda effekter som valts via `effect_scene`, till exempel swish_swish, birthday_star eller drunk_dance, på dina bilder. heart_gesture kräver två bilder i `input_image_urls`; alla andra effekter kräver en. `duration` kan vara 5 eller 10 sekunder.

Parametrar

NamnTyp StandardTillåtna Beskrivning
enable_safety_checkervalfritt
Typboolean
Standardtrue
Säkerhetskontroller kan endast inaktiveras med kontoauktorisering; begäranden utan auktorisering kontrolleras alltid.
input_image_urlsvalfritt
Typurl[] · image
URL:er till indata för effektbilder, med ett obligatoriskt antal på två för heart_gesture och ett för alla andra effekter.
effect_sceneobligatoriskt
Typenum
heart_gesturebullet_time_360swish_swishrunning_manswing_swingbuilding_sweaterpure_white_wingsblack_wingsgolden_wingpink_pink_wingscountdown_teleportinstant_christmasbirthday_startiger_hug_propet_lion_prodrunk_dance
+75 tilldrunk_dance_petdaoma_dancebouncy_dancesmooth_sailing_dancenew_year_greetinglion_danceprosperitygreat_successgolden_horse_fortunered_packet_boxlucky_horse_yearlucky_red_packetlucky_money_comelion_dance_petdumpling_making_petfish_making_petpet_red_packetlantern_glowexpression_challengeoverdriveheart_gesture_dancepopingmartial_artsrunningnezhamotorcycle_dancesubject_3_danceghost_step_dancephantom_jewelzoom_outcheers_2026kiss_profight_prohug_proheart_gesture_prodollar_rain_propet_bee_prosanta_random_surprisemagic_match_treehappy_birthdaythumbs_up_prosurprise_bouquetbouquet_dropglamour_photo_shootbox_of_joyfirst_toast_of_the_yearmy_santa_picsanta_giftsteampunk_christmassnowglobechristmas_photo_shootornament_crashsanta_expresscoronation_of_frostspark_in_the_snowscarlet_and_snowbullet_time_litejumping_ginger_joyvenomous_spiderthrone_of_kingluminous_elfwoodland_elfsnowboardingwitch_transformvampire_transformpumpkin_head_transformdemon_transformmummy_transformzombie_transformcute_pumpkin_transformhalloween_escapekorean_baseballgirlfriendboyfriendsplashsplash
Val av effektscen, med effekter för en bild, förutom alternativet heart_gesture för flera bilder.
durationvalfritt
Typenum
Standard5
510
Längd på utdatafilmen, mätt i sekunder.
obligatoriskt

Filparametrar tar emot en offentlig https://-URL, en data:-URI på upp till 10 MB eller file_url från en uppladdning. Filer

Resultat

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v1.6/pro/effects",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 490,
    "usd": "0.49",
    "charged": 490,
    "refunded": 0
  },
  "input": {
    "effect_scene": "heart_gesture"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dina filer, ditt valVarje outputs[].url är en kopia i vår lagring: sparad för alltid (debiteras per GB-månad) eller 7 dagar kostnadsfritt, enligt din kontoinställning eller ?storage=.
Samma struktur för varje modelltype, url, content_type, width, height och duration, för bilder, video och ljud. output är modellens eget resultatobjekt.
Resultatets fält
video
object {url, content_type, file_name, file_size}Video som produceras av modellen.

Fler modeller: Text till video

För AI-agenter: den här sidan som Markdown finns på https://doitong.com/sv/developers/models/kling-video/v1.6/pro/effects.md. Alla modeller och guider: https://doitong.com/developers/llms.txt